=== src/ccsd_util/CMakeLists.txt ===
#***********************************************************************
# This file is part of OpenMolcas.                                     *
#                                                                      *
# OpenMolcas is free software; you can redistribute it and/or modify   *
# it under the terms of the GNU Lesser General Public License, v. 2.1. *
# OpenMolcas is distributed in the hope that it will be useful, but it *
# is provided "as is" and without any express or implied warranties.   *
# For more details see the full text of the license in the file        *
# LICENSE or in <http://www.gnu.org/licenses/>.                        *
#***********************************************************************

set (sources
     add10.F90
     add21.F90
     add22.F90
     add32.F90
     add41.F90
     add42.F90
     add43.F90
     add44.F90
     add.F90
     calcr.F90
     calcrh1.F90
     ccmult.F90
     ccsd_exc.F90
     ccsd.F90
     ccsd_global.F90
     contf12.F90
     contf14.F90
     contf22.F90
     contf23.F90
     contf24.F90
     contf32.F90
     contf4.F90
     contf5.F90
     contt12.F90
     contt13.F90
     contt147.F90
     contt29.F90
     contw1.F90
     diiscf.F90
     diis.F90
     diish1.F90
     diish2.F90
     diish3.F90
     diisof.F90
     diisra.F90
     diisrf.F90
     diiswa1.F90
     distnodes.F90
     divfok.F90
     divt.F90
     divthelp1.F90
     divthelp2.F90
     divthelp3.F90
     expand0.F90
     expand1.F90
     expand2.F90
     expand3.F90
     expand40.F90
     expand41.F90
     expand.F90
     extstack.F90
     extstackhlp1.F90
     fack.F90
     filemanager.F90
     finale.F90
     fokunpck1.F90
     fokunpck2.F90
     fokunpck3.F90
     fokunpck4.F90
     fokunpck5.F90
     getmap.F90
     getmediate.F90
     getw3.F90
     grc0.F90
     grc0stack.F90
     grc22c.F90
     grc23c.F90
     grc24c.F90
     grc32c.F90
     grc32y.F90
     grc33c.F90
     grc34c.F90
     grc42c.F90
     grc42y.F90
     grc43c.F90
     grc43y.F90
     grc44c.F90
     init.F90
     initfiles.F90
     intermezzo.F90
     joinamplitudes.F90
     map11.F90
     map21.F90
     map22.F90
     map31.F90
     map32.F90
     map41.F90
     map42.F90
     map.F90
     max5.F90
     max5h1.F90
     max5h2.F90
     mc0c1a3b.F90
     mc0c1at3b.F90
     mkfilemgrcom.F90
     mkq.F90
     mkqhelp1.F90
     mkqhelp2.F90
     mktau.F90
     mktauhelp1.F90
     mktauhelp2.F90
     mr0u3wt.F90
     multc0.F90
     multdot.F90
     multstack.F90
     multy0.F90
     mv0v1a3u.F90
     noperm.F90
     pack210.F90
     pack211.F90
     pack310.F90
     pack311.F90
     pack320.F90
     pack321.F90
     percentzero.F90
     rea.F90
     reainput.F90
     reaintsta.F90
     reajalovy.F90
     redef.F90
     saamp.F90
     saamphlp1.F90
     saamphlp2.F90
     saamphlp3.F90
     saverest1.F90
     saverest2.F90
     set0.F90
     sumabdistt.F90
     sumoverab.F90
     sumovera.F90
     unpackab1.F90
     unpackab2.F90
     unpackab3.F90
     unpckhelp10.F90
     unpckhelp11.F90
     unpckhelp1.F90
     unpckhelp2.F90
     unpckhelp3.F90
     unpckhelp4.F90
     unpckhelp5.F90
     unpckhelp6.F90
     unpckhelp7.F90
     unpckhelp8.F90
     unpckhelp9.F90
     wrhead.F90
     wri.F90
     wrtmap.F90
     wrtmediate.F90
)

# Source files defining modules that should be available to other *_util directories
set (modfile_list "")

include (${PROJECT_SOURCE_DIR}/cmake/util_template.cmake)
