=== src/chcc/CMakeLists.txt ===
#***********************************************************************
# This file is part of OpenMolcas.                                     *
#                                                                      *
# OpenMolcas is free software; you can redistribute it and/or modify   *
# it under the terms of the GNU Lesser General Public License, v. 2.1. *
# OpenMolcas is distributed in the hope that it will be useful, but it *
# is provided "as is" and without any express or implied warranties.   *
# For more details see the full text of the license in the file        *
# LICENSE or in <http://www.gnu.org/licenses/>.                        *
#***********************************************************************

set (sources
     adh_hvv2.F90
     adt_t17.F90
     adv_a23.F90
     adv_g2.F90
     autosegmentation.F90
     calc_addg.F90
     calcaddpp.F90
     calc_addsg.F90
     calc_bc.F90
     chcc.F90
     chcc_global.F90
     chck_0.F90
     chck_aa.F90
     chck_a.F90
     chck_b.F90
     chck_energ.F90
     chck_goo.F90
     chck_gvv.F90
     chck_h1.F90
     chck_hoo.F90
     chck_hvo.F90
     chck_hvv.F90
     chck_k.F90
     chck_l1.F90
     chck_l2.F90
     chck_mkj.F90
     chck_mkk.F90
     chck_q.F90
     chck_t17g.F90
     chck_t1.F90
     chck_t1g.F90
     chck_t21.F90
     chck_t21od.F90
     chck_t2n.F90
     chck_t2p.F90
     chck_t2sym.F90
     chck_th.F90
     chck_tjedna.F90
     chck_tx.F90
     chck_v.F90
     chck_vx.F90
     chck_w1.F90
     chck_w2p.F90
     chck_w31.F90
     chck_w3.F90
     chck_w4.F90
     chck_x.F90
     chck_xred.F90
     chck_y.F90
     checkmem.F90
     cho_cc_drv.F90
     cve2.F90
     defparo2v4.F90
     defparo3v3.F90
     defparo3v3hlp1.F90
     defparo3v3hlp2.F90
     defparreord.F90
     defw34y.F90
     defw3y.F90
     defw4abcd.F90
     defw4abdc.F90
     defw4bacd.F90
     defw4badc.F90
     defw4cdab.F90
     defw4cdba.F90
     defw4dcab.F90
     defw4dcba.F90
     defw4y2.F90
     defw4y.F90
     dfh_hvv1.F90
     distmemchck.F90
     distmemo2v4.F90
     distmemo3v3chol.F90
     distmemo3v3jk.F90
     distmemo3v3t2.F90
     distmemperm.F90
     distmemreord.F90
     distmemsum.F90
     energy_e1.F90
     energy_e2d.F90
     energy_e2od.F90
     exa_x4.F90
     exh_t13.F90
     exh_x2.F90
     exp1.F90
     exp2.F90
     exp2i.F90
     exp4.F90
     expt2.F90
     ext_aex.F90
     ext_l0.F90
     ext_l1.F90
     ext_l2s.F90
     ext_l2u.F90
     extractm.F90
     extt1.F90
     ext_w3.F90
     ext_w4.F90
     ext_w4hlp1.F90
     ext_w4hlp2.F90
     ext_w4hlp3.F90
     exv_x41.F90
     exv_x42.F90
     exv_x43.F90
     findnexteffseg.F90
     frankie_drv.F90
     frankie_drv_fake.F90
     frankie.F90
     getchckdata.F90
     getchv.F90
     getchvhlp1.F90
     getchvhlp2.F90
     getchvhlp3.F90
     getchvhlp4.F90
     getrest.F90
     gett2n.F90
     gettau.F90
     gettauhlp1.F90
     gettauhlp2.F90
     getx.F90
     inireord.F90
     insl.F90
     insreaw3.F90
     insreaw4.F90
     insreqo2v4.F90
     joinlvec.F90
     main.F90
     makechckdata.F90
     maket2m.F90
     maket2pd.F90
     maket2pdhlp.F90
     maket2p.F90
     maket2phlp1.F90
     maket2phlp2.F90
     maket2phlp3.F90
     maket2pthlp1.F90
     maket2pthlp2.F90
     maket2pthlp3.F90
     makewwd.F90
     makewwdhlp1.F90
     makewwdhlp2.F90
     makeww.F90
     makewwhlp1.F90
     makewwhlp2.F90
     makewwhlp3.F90
     makewwhlp4.F90
     map2_21.F90
     map3_132.F90
     map3_213.F90
     map3_321.F90
     map4_1243.F90
     map4_1324.F90
     map4_1342.F90
     map4_1423.F90
     map4_1432.F90
     map4_2143.F90
     map4_2314.F90
     map4_3124.F90
     map4_3142.F90
     map4_3214.F90
     map4_3412.F90
     map4_3421.F90
     map4_4123.F90
     map4_4312.F90
     mc0c2a3b.F90
     mkd_q46.F90
     mke_y3.F90
     mki_q47.F90
     mkl0.F90
     mkl2_chcc.F90
     mknamev3.F90
     mknamev4.F90
     mkoe.F90
     mkq0.F90
     mkq1.F90
     mkq22.F90
     mkq3.F90
     mkq4.F90
     mkt1t2.F90
     mk_t1t.F90
     mkt20p.F90
     mkt20u.F90
     mktau_chcc.F90
     mkt_c136od.F90
     mkt_c245od.F90
     mkt_c78d.F90
     mkt_c78od.F90
     mkt_calld.F90
     mkt_exp.F90
     mkt_qk42.F90
     mkt_red.F90
     mkt_t15.F90
     mkt_t17.F90
     mkv_a1.F90
     mkv_a4.F90
     mkv_goo3.F90
     mkv_hoo2.F90
     mkv_hvo2.F90
     mkv_hvv2.F90
     mkv_k22.F90
     mkv_q22.F90
     mkv_t18.F90
     mo_transp.F90
     o2v4ctl.F90
     o2v4.F90
     o3v3chol.F90
     o3v3ctl.F90
     o3v3jk.F90
     o3v3t2.F90
     rea1.F90
     rea_chcc.F90
     read_mo.F90
     reaw3.F90
     reaw3hlp1.F90
     reaw3hlp2.F90
     reaw3hlp3.F90
     reaw4.F90
     reord_chcc.F90
     rnfill.F90
     savechckdata.F90
     saverest.F90
     savex.F90
     summary.F90
     t1_div.F90
     t2d_div.F90
     t2od_div.F90
     upg_t1.F90
     upg_t2d.F90
     upg_t2od.F90
     urobchv.F90
     urobi1.F90
     urobi2.F90
     urobi3.F90
     urobl1.F90
     urobl2.F90
     urobt2.F90
     urobtau.F90
     vanisht1.F90
     vanisht2n.F90
     wri_chcc.F90
     xo2v4ctl.F90
)

include (${PROJECT_SOURCE_DIR}/cmake/prog_template.cmake)
