=== src/cholesky_util/CMakeLists.txt ===
#***********************************************************************
# This file is part of OpenMolcas.                                     *
#                                                                      *
# OpenMolcas is free software; you can redistribute it and/or modify   *
# it under the terms of the GNU Lesser General Public License, v. 2.1. *
# OpenMolcas is distributed in the hope that it will be useful, but it *
# is provided "as is" and without any express or implied warranties.   *
# For more details see the full text of the license in the file        *
# LICENSE or in <http://www.gnu.org/licenses/>.                        *
#***********************************************************************

set (sources
     alterr.F90
     ccd_incore.F90
     cd_decomposer.F90
     cd_diag.F90
     cd_diamax.F90
     cd_incore.F90
     cd_incore_1.F90
     cd_incore_1p.F90
     cd_incore_1p_w.F90
     cd_incore_p.F90
     cd_incore_p_w.F90
     cd_tester.F90
     cd_tester_col.F90
     cd_tester_cppf.F90
     cd_tester_diag.F90
     cd_tester_diff.F90
     cd_tester_es.F90
     cd_tester_final.F90
     cd_tester_mod.F90
     cd_tester_vec.F90
     checkdenomrange.F90
     chkacc.F90
     cho_1vecrd_sp.F90
     cho_allo_iscr.F90
     cho_anadia.F90
     cho_anasize.F90
     cho_calcdiag.F90
     cho_checkdiagfromz.F90
     cho_chkconf.F90
     cho_chkdia.F90
     cho_chkdia_a4.F90
     cho_chkint.F90
     cho_chkinto.F90
     cho_close.F90
     cho_cnvtim.F90
     cho_compvec.F90
     cho_dbgint.F90
     cho_dbgint_cho.F90
     cho_dec_qual.F90
     cho_decdrv.F90
     cho_decom.F90
     cho_decom_a4.F90
     cho_diacho.F90
     cho_diasp.F90
     cho_distrib_vec.F90
     cho_drv.F90
     cho_drv_inner.F90
     cho_drv_partwostep.F90
     cho_dump.F90
     cho_f2sp.F90
     cho_final.F90
     cho_gadgop.F90
     cho_gaigop.F90
     cho_get_er.F90
     cho_get_oed_cd.F90
     cho_get_ord_bj.F90
     cho_get_rij.F90
     cho_getdiag.F90
     cho_getdiag1.F90
     cho_getint.F90
     cho_getmaxshl.F90
     cho_getmq.F90
     cho_getred.F90
     cho_getrstc.F90
     cho_getstor.F90
     cho_getstor_s.F90
     cho_getvec.F90
     cho_getvec0.F90
     cho_getvec1.F90
     cho_getvec2.F90
     cho_getz.F90
     cho_gnvc_drv.F90
     cho_gnvc_genvec.F90
     cho_gnvc_getint.F90
     cho_head.F90
     cho_ifindsmallest.F90
     cho_inimap.F90
     cho_inirsdim.F90
     cho_init.F90
     cho_init1.F90
     cho_inp.F90
     cho_inp_setdecalg.F90
     cho_inpmod.F90
     cho_intchk_id_of.F90
     cho_intchk_reg.F90
     cho_invpck.F90
     cho_iodiag.F90
     cho_irange.F90
     cho_isao.F90
     cho_isaosh.F90
     cho_lread.F90
     cho_maxabsdiag.F90
     cho_maxabsdiag_1c.F90
     cho_maxdx.F90
     cho_mca_calcint.F90
     cho_mca_calcint_1.F90
     cho_mca_calcint_2.F90
     cho_mca_calcint_3.F90
     cho_mca_calcint_4.F90
     cho_mca_dbgint_a.F90
     cho_mca_dbgint_s.F90
     cho_mca_diagint.F90
     cho_mca_drv.F90
     cho_mca_getkey.F90
     cho_mca_init.F90
     cho_mca_int1_1_dbg2_cmp.F90
     cho_mca_int_1.F90
     cho_mca_int_1_dbg.F90
     cho_mca_int_1_dbg1.F90
     cho_mca_int_1_dbg2.F90
     cho_open.F90
     cho_openvr.F90
     cho_opfvec.F90
     cho_order.F90
     cho_outpak.F90
     cho_output.F90
     cho_p_anadia.F90
     cho_p_check.F90
     cho_p_chkint.F90
     cho_p_distrib_sp.F90
     cho_p_distrib_sp_bydim.F90
     cho_p_distrib_vec.F90
     cho_p_getgv.F90
     cho_p_getmaxshl.F90
     cho_p_getmq.F90
     cho_p_getqd.F90
     cho_p_indxparentdiag.F90
     cho_p_indxswp.F90
     cho_p_inilq.F90
     cho_p_localsp.F90
     cho_p_maxdx.F90
     cho_p_openr.F90
     cho_p_openvr.F90
     cho_p_prtdia.F90
     cho_p_prtred.F90
     cho_p_putred.F90
     cho_p_qualify.F90
     cho_p_qualswp.F90
     cho_p_reoqual.F90
     cho_p_setaddr.F90
     cho_p_setaddr_2.F90
     cho_p_setgl.F90
     cho_p_setlq.F90
     cho_p_setpass.F90
     cho_p_setred.F90
     cho_p_setred_l.F90
     cho_p_setshp2q.F90
     cho_p_setvecinf.F90
     cho_p_stat.F90
     cho_p_syncdiag.F90
     cho_p_syncnumcho.F90
     cho_p_updatebookmarks.F90
     cho_p_wrdiag.F90
     cho_p_wrrstc.F90
     cho_p_zerodiag.F90
     cho_p_zerodiag_rst.F90
     cho_pfake_getvec.F90
     cho_pfake_putvec.F90
     cho_pfake_vdist.F90
     cho_printlb.F90
     cho_prtdia.F90
     cho_prthead.F90
     cho_prtint.F90
     cho_prtmaxmem.F90
     cho_prtred.F90
     cho_prtst.F90
     cho_prttim.F90
     cho_pts_final.F90
     cho_pts_stat.F90
     cho_pts_wrrst.F90
     cho_putred.F90
     cho_putred1.F90
     cho_putvec.F90
     cho_putvec2.F90
     cho_qualify.F90
     cho_qualify_1.F90
     cho_qualify_2.F90
     cho_quit.F90
     cho_rdbuf.F90
     cho_rddbuf.F90
     cho_rdqcol_indx.F90
     cho_rdrstc.F90
     cho_reoini.F90
     cho_reoqual.F90
     cho_reordr.F90
     cho_reovc1.F90
     cho_reovec.F90
     cho_resetcnf.F90
     cho_restart.F90
     cho_rs2f.F90
     cho_rs2rs.F90
     cho_rscopy.F90
     cho_rstcnf.F90
     cho_rstd_chksp2f.F90
     cho_rstd_getind1.F90
     cho_rstd_getind2.F90
     cho_rstd_getind3.F90
     cho_rstmol.F90
     cho_rstof.F90
     cho_rword2byte.F90
     cho_setaddr.F90
     cho_setatomshl.F90
     cho_setdamp.F90
     cho_setdecalg_def.F90
     cho_setglob.F90
     cho_setmaxshl.F90
     cho_setmxshpr_def.F90
     cho_setpass.F90
     cho_setq2.F90
     cho_setred.F90
     cho_setredind.F90
     cho_setrsdim.F90
     cho_setsh.F90
     cho_setsh2.F90
     cho_setshp2q.F90
     cho_setshp2q_2.F90
     cho_setshp2rs.F90
     cho_setshp2rs_2.F90
     cho_setvecinf.F90
     cho_simri_z1cdia.F90
     cho_stat.F90
     cho_stat_parentdiag.F90
     cho_subscr_dia.F90
     cho_subscr_final.F90
     cho_subscr_init.F90
     cho_subtr.F90
     cho_subtr0.F90
     cho_subtr1.F90
     cho_tabind.F90
     cho_testbookmark.F90
     cho_testbookmark_1cinit.F90
     cho_testbookmark_prt.F90
     cho_translateerrorcode.F90
     cho_trcidl_init.F90
     cho_trcidl_report.F90
     cho_trcidl_update.F90
     cho_trdens.F90
     cho_vecbuf_check.F90
     cho_vecbuf_checkintegrity.F90
     cho_vecbuf_comparenormandsum.F90
     cho_vecbuf_copy.F90
     cho_vecbuf_enableintegritycheck.F90
     cho_vecbuf_final.F90
     cho_vecbuf_ini2.F90
     cho_vecbuf_init.F90
     cho_vecbuf_init_i.F90
     cho_vecbuf_init_x.F90
     cho_vecbuf_integrity_ok.F90
     cho_vecbuf_maintain.F90
     cho_vecbuf_print.F90
     cho_vecbuf_prtref.F90
     cho_vecbuf_retrieve.F90
     cho_vecdsk_getlq.F90
     cho_vecrd.F90
     cho_vecrd1.F90
     cho_vectransp.F90
     cho_vtra.F90
     cho_word2byte.F90
     cho_wrbuf.F90
     cho_wrfvec.F90
     cho_wrrstc.F90
     cho_x_bookmark.F90
     cho_x_calcchodiag.F90
     cho_x_calculategmat.F90
     cho_x_checkdiag.F90
     cho_x_compvec.F90
     cho_x_dealloc.F90
     cho_x_defineinfvec_5.F90
     cho_x_final.F90
     cho_x_genvec.F90
     cho_x_get_pardiag.F90
     cho_x_gettol.F90
     cho_x_gettotv.F90
     cho_x_getvfull.F90
     cho_x_getvtra.F90
     cho_x_init.F90
     cho_x_init_par.F90
     cho_x_init_par_cho.F90
     cho_x_init_par_df.F90
     cho_x_init_par_genbak.F90
     cho_x_numrd.F90
     cho_x_nvecrs.F90
     cho_x_rdrst.F90
     cho_x_reovec.F90
     cho_x_rscopy.F90
     cho_x_rsswap.F90
     cho_x_setinc.F90
     cho_x_setred.F90
     cho_x_test.F90
     cho_x_vecrd.F90
     cho_xcv_closeanderasetmpfiles.F90
     cho_xcv_closeandkeeptmpfiles.F90
     cho_xcv_distrib_sp.F90
     cho_xcv_distributevectors.F90
     cho_xcv_dv_p.F90
     cho_xcv_dv_s.F90
     cho_xcv_getint.F90
     cho_xcv_opentmpfiles.F90
     cho_xcv_rdvec.F90
     cho_xcv_rdvec_.F90
     cho_xcv_tmpfiles.F90
     cho_xcv_wrvec.F90
     cho_xcv_wrvec_par.F90
     cho_xcv_wrvec_ser.F90
     cho_zmem.F90
     chodec.F90
     chodec_mxvec.F90
     cholesky.F90
     cholesky_procedures.F90
     cholesky_structures.F90
     cholsosmp2_energy.F90
     cholsosmp2_energy_fll.F90
     cholsosmp2_energy_fll1.F90
     cholsosmp2_energy_fll2.F90
     cholsosmp2_energy_srt.F90
     chomp2.F90
     chomp2_ampfromint.F90
     chomp2_backtra.F90
     chomp2_checkbacktra.F90
     chomp2_col.F90
     chomp2_col_comp.F90
     chomp2_col_cp.F90
     chomp2_col_invai.F90
     chomp2_deallocate.F90
     chomp2_decchk.F90
     chomp2_decchk_1.F90
     chomp2_decchk_2.F90
     chomp2_decchk_int.F90
     chomp2_decdrv.F90
     chomp2_drv.F90
     chomp2_energy.F90
     chomp2_energy_contr.F90
     chomp2_energy_contr_t1.F90
     chomp2_energy_fll.F90
     chomp2_energy_getind.F90
     chomp2_energy_getpqind.F90
     chomp2_energy_org.F90
     chomp2_energy_prt.F90
     chomp2_energy_srt.F90
     chomp2_fno.F90
     chomp2_fno_fll.F90
     chomp2_fno_org.F90
     chomp2_fno_srt.F90
     chomp2_getbasenm.F90
     chomp2_getinf.F90
     chomp2_intcol.F90
     chomp2_moreord.F90
     chomp2_o4_drv.F90
     chomp2_openb.F90
     chomp2_openf.F90
     chomp2_read_batch.F90
     chomp2_setup.F90
     chomp2_setup_index.F90
     chomp2_setup_memchk.F90
     chomp2_setup_prt.F90
     chomp2_srt.F90
     chomp2_srtdrv.F90
     chomp2_tra.F90
     chomp2_tra_1.F90
     chomp2_tradrv.F90
     chomp2_travec.F90
     chomp2_vec.F90
     chomp2_vectormo2ao.F90
     chomp2g_ampdiag.F90
     chomp2g_constrap.F90
     chomp2g_deallocate.F90
     chomp2g_densdrv.F90
     chomp2g_density1.F90
     chomp2g_density2.F90
     chomp2g_density3.F90
     chomp2g_gradsetup.F90
     chomp2g_moreord.F90
     chomp2g_reord_r.F90
     chomp2g_setup.F90
     chomp2g_tra.F90
     chomp2g_tra_1.F90
     chomp2g_tradrv.F90
     chomp2g_travec.F90
     ckaltd.F90
     ckaltt.F90
     conj_grad.F90
     decomat.F90
     dfinek.F90
     dfmp2e.F90
     expsum.F90
     fdextr.F90
     findam.F90
     findmx.F90
     funcla.F90
     funcle.F90
     get_ldfaccuracy.F90
     getdr1.F90
     getdr2.F90
     glasum.F90
     glesum.F90
     incrsort.F90
     indsft_cho.F90
     indsft_cho_2.F90
     indsft_cho_3.F90
     indsft_cho_diag.F90
     initt.F90
     integral_wrout_cho.F90
     integral_wrout_cho_diag.F90
     laplace_prsq.F90
     minimaxlaplace.F90
     onecenter_chkdiag.F90
     plf_cho.F90
     plf_cho_2.F90
     plf_cho_3.F90
     plf_cho_diag.F90
     ptdiff.F90
     quaderr.F90
     remez.F90
     remez_mod.F90
     remez_setupprint.F90
     remez_shutdownprint.F90
     setexp.F90
     slveqs.F90
     slvnt1.F90
     slvnt2.F90
     statistics.F90
     sumlag.F90
     sumleg.F90
     switch_density.F90
     testminimaxlaplace.F90
     updatemostnegative.F90
)

# Source files defining modules that should be available to other *_util directories
set (modfile_list
     cholesky.F90
     cholesky_structures.F90
)

include (${PROJECT_SOURCE_DIR}/cmake/util_template.cmake)
