=== debian/changelog ===
openmolcas (23.10-1build2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 18:03:12 +1100

openmolcas (23.10-1build1) noble; urgency=medium

  * No-change rebuild against libhdf5-103-1t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Wed, 13 Mar 2024 18:02:12 +0000

openmolcas (23.10-1) unstable; urgency=medium

  * New upstream release.
  * debian/patches/mkl_library_dir.patch: Refreshed.
  * debian/patches/pymolcas_default_directories.patch: Likewise.
  * debian/patches/install_locations.patch: Likewise.
  * debian/patches/libxc_hardcode_includedir.patch: Likewise.
  * debian/patches/pyparsing_3.1.1.patch: New patch, makes pymolcas work with
    pyparsing-3.1.1, taken from upstream commit df2d6a4.

 -- Michael Banck <mbanck@debian.org>  Sat, 02 Dec 2023 23:47:01 +0100
