=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
# export DH_VERBOSE=1

DEB_HOST_MULTIARCH := $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
LINALG=openblas64-openmp

export FFLAGS=$(shell dpkg-buildflags --get FFLAGS) -ffp-contract=off

%:
	dh $@ --buildsystem=cmake --with sphinxdoc

override_dh_auto_configure:
	dh_auto_configure --		\
		-DTOOLS=ON		\
		-DOPENMP=ON		\
		-DHDF5=ON		\
		-DLINALG=Manual		\
		-DLINALG_LIBRARIES=/usr/lib/${DEB_HOST_MULTIARCH}/${LINALG}/liblapack64.so:/usr/lib/${DEB_HOST_MULTIARCH}/${LINALG}/libblas64.so \
		-DEXTERNAL_LIBXC=/usr/lib/${DEB_HOST_MULTIARCH} \
		-DCMAKE_SKIP_RPATH=ON

override_dh_auto_install:
	dh_auto_install
	cp -a test debian/tmp/usr/share/openmolcas
